/*
*********************************************
*											*
*			Astro const 					*
*											*
*********************************************
*/
#ifndef		_ASTRO_H
#define		_ASTRO_H

/*
=========================================
			astro constant
=========================================
*/
#define		GREGOR_YEARDAY	365.2425
#define		JULIAN_YEARDAY	365.25

#define		DAYSEC		86400.0
#define		DAYMIN		1440.0
#define		DAYHOUR		24.0

#define		DTAI_TT		32.184
/*
=========================================
			structer
=========================================
*/
/*
-----------------------------------------
		DATE & TIME
-----------------------------------------
*/
typedef struct tag_dt{
	int	nYear;
	int nMonth;
	int nDay;
	int nHour;
	int nMin;
	int nWeek;
	double dSec;
} DATETIME;

/*
-----------------------------------------
		DATE
-----------------------------------------
*/
typedef struct tag_date{
	int	nYear;
	int nMonth;
	double dDay;
} ADATE;

/*
-----------------------------------------
		DATE
-----------------------------------------
*/
typedef struct tag_time{
	int	nHour;
	int nMin;
	double dSec;
} ATIME;


#endif
